javax.persistence.criteria

## Interface Root<X>

Type Parameters:
  `X` - the entity type referenced by the root

All Superinterfaces:
  Expression<X>, FetchParent<X,X>, From<X,X>, Path<X>, Selection<X>, TupleElement<X>

    public interface Root<X>
    extends From<X,X>

A root type in the from clause. Query roots always reference entities.

Since:
  Java Persistence 2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`EntityType<X>` `getModel()` Return the metamodel entity corresponding to the root.

### Methods inherited from interface javax.persistence.criteria.From

`getCorrelationParent, getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

### Methods inherited from interface javax.persistence.criteria.Path

`get, get, get, get, getParentPath, type`

### Methods inherited from interface javax.persistence.criteria.Expression

`as, in, in, in, in, isNotNull, isNull`

### Methods inherited from interface javax.persistence.criteria.Selection

`alias, getCompoundSelectionItems, isCompoundSelection`

### Methods inherited from interface javax.persistence.TupleElement

`getAlias, getJavaType`

### Methods inherited from interface javax.persistence.criteria.FetchParent

`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

### Method Detail

#### getModel

    EntityType<X> getModel()

Return the metamodel entity corresponding to the root.

Specified by:
  `getModel` in interface `Path<X>`
Returns:
  metamodel entity corresponding to the root